package com.tzld.piaoquan.recommend.server.service.filter;

import lombok.Data;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @author dyp
 */
@Data
public class FilterParam {
    private List<Long> videoIds;
    private Map<Long, String> flowPoolMap;
    private int appType;
    private String mid;
    private String uid;

    // 风险过滤
    private Boolean riskFilterFlag;
    private Map<Integer, List<String>> appRegionFiltered;
    private List<Long> videosWithRisk;
    private String regionCode;
    private int forceTruncation;
    private Set<String> abExpCodes;

    public boolean concurrent; // hardcode 临时解决过滤慢的问题
    public boolean notUsePreView;
}
