package com.tzld.piaoquan.recommend.server.service.filter.strategy;

import lombok.Data;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.IndexDirection;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;
import org.springframework.data.mongodb.core.mapping.Field;

import java.util.Date;

@Data
@Document(collection = "video_view")
public class VideoView {
    @Id
    private String id;
    @Indexed(name = "video_id", direction = IndexDirection.ASCENDING)
    @Field("video_id")
    private Long videoId;
    @Field("uid")
    private String uid;
    @Field("action_type")
    private Integer actionType;
    @Field("create_time")
    private Long createTime;
    @Field("create_date")
    private Date createDate;
    @Field("count")
    private Integer count;
    @Field("source")
    private Integer source;
    @Field("status")
    private Integer status;

}
