package com.tzld.piaoquan.recommend.server.repository;

import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Data
@Entity
@Table(name = "wx_video_tag_rel")
@IdClass(WxVideoTagRel.WxVideoTagRelId.class)
public class WxVideoTagRel implements Serializable {
    @Id
    private Long videoId;
    @Id
    private Long tagId;

    private Date createTime;

    @Data
    public class WxVideoTagRelId implements Serializable {
        private Long videoId;
        private Long tagId;

        public WxVideoTagRelId() {

        }


    }
}